
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用Topshelf 开发windows服务 / iVAN</title>

    <meta name="description" content="使用Topshelf 开发windows服务 在业务系统中,我们为了调度一些自动执行的任务或从队列中消费一些消息,所以基本上都会涉及到后台服务的开发.如果用windows service开发,非常不爽的一件事就是:调试相对麻烦,而且你还需要了解 windows service 相关的一些开发和安装部署,所以,windows service非常的不方便.Topshelf框架,能够让你将 console application 直接封装为 windows service,这样你在开发的时候,就可以直接在console 程序上开发,然后构成win">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用Topshelf 开发windows服务</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　在业务系统中，我们为了调度一些自动执行的任务或从队列中消费一些消息，所以基本上都会涉及到后台服务的开发。如果用windows service开发，非常不爽的一件事就是：调试相对麻烦，而且你还需要了解 windows service 相关的一些开发和安装部署，所以，windows service非常的不方便。Topshelf框架，能够让你将 console application 直接封装为 windows service，这样你在开发的时候，就可以直接在console 程序上开发，然后构成windows service。可以说非常方便。省去了很多不必要的麻烦。</p>
<p> </p>
<p>　　Topshelf是一个开源的跨平台的宿主服务框架，支持Windows和Mono，只需要几行代码就可以构建一个很方便使用的服务宿主。TopShelf 支持多个服务实例，使用的API非常简单，也提高了和 Log4Net的集成，结合Quartz.net，可以快速实现任务调度服务。</p>
<p> </p>
<p><strong>　　1.</strong><strong>下载地址 </strong></p>
<p>　　　　<a href="https://github.com/Topshelf/Topshelf/downloads" rel="external nofollow noreferrer">https://github.com/Topshelf/Topshelf/downloads</a></p>
<p> </p>
<p><strong>　　2.</strong><strong>创建Console宿主</strong><strong>程序TopshelfTest</strong><strong>，并引用TopShelf.dll</strong></p>
<p> </p>
<p><strong>　　3.相关</strong><strong>代码</strong></p>
<pre>public class TownCrier
{

    readonly Timer _timer;

    public TownCrier()
    {

        _timer = new Timer(1000) { AutoReset = true };

        _timer.Elapsed += (sender, eventArgs) =&gt; Console.WriteLine("It is {0} and all is well", DateTime.Now);

    }

    public void Start() { _timer.Start(); }

    public void Stop() { _timer.Stop(); }

}

// 入口代码

public class Program
{

    public static void Main()
    {

        HostFactory.Run(x =&gt;                                             //1.我们用HostFactory.Run来设置一个宿主主机。我们初始化一个新的lambda表达式X，来显示这个宿主主机的全部配置。
        {

            x.Service&lt;TownCrier&gt;(s =&gt;                                 　　//2.告诉Topshelf ，有一个类型为“towncrier服务”,通过定义的lambda 表达式的方式，配置相关的参数。
            {

                s.ConstructUsing(name =&gt; new TownCrier());      　　　　//3.告诉Topshelf如何创建这个服务的实例，目前的方式是通过new 的方式，但是也可以通过Ioc 容器的方式：getInstance&lt;towncrier&gt;()。
　　
                s.WhenStarted(tc =&gt; tc.Start());                       //4.开始 Topshelf 服务。

                s.WhenStopped(tc =&gt; tc.Stop());                       //5.停止 Topshelf 服务。

            });

            x.RunAsLocalSystem();                                         //6.这里使用RunAsLocalSystem() 的方式运行，也可以使用命令行(RunAsPrompt())等方式运行。

            x.SetDescription("Sample Topshelf Host");             　　　　 //7.设置towncrier服务在服务监控中的描述。

            x.SetDisplayName("Stuff");                                    //8.设置towncrier服务在服务监控中的显示名字。

            x.SetServiceName("Stuff");                                    //9.设置towncrier服务在服务监控中的服务名字。

        });

    }

}</pre>
<p>　　本人英文水平有限，代码的备注说明，随便翻译的，凑合看吧。</p>
<p> </p>
<p><strong>　　4. </strong><strong>安装和卸载windows</strong><strong>服务</strong></p>
<p>                 TopshelfTest.exe install        #安装Windows服务</p>
<p>　　　　　TopshelfTest.exe uninstall     #卸载Windows服务</p>
<p>　　　　　TopshelfTest.exe install -instance "xxx" -servicename "xxx" -description "xxx" -displayname "xxx"    #安装不同的实例</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-14 13:11:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e6%9c%ba/" title="主机">主机</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e8%be%be%e5%bc%8f/" title="表达式">表达式</a>, <a href="https://www.iamivan.net/tag/%e7%9b%91%e6%8e%a7/" title="监控">监控</a>, <a href="https://www.iamivan.net/tag/service/" title="service">service</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用Topshelf 开发windows服务的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN0147z.html" rel="bookmark">使用Topshelf创建Windows 服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Winndows Service 是一种可随 Windows 操作系统启动而启动的,在后台运行的,通常不和用户产生交互的程序.它无法通过双击来运行,类似于 Unix 守护进程(daemon processes),当用户注销时它也不会停止. Windows 服务由三部分组成: 一个服务可执行文件:一个服务控制程序(SCP):服务控制管理器(SCM),负责在 HKLM&quot;SYSTEM&quot;CurrentControlSet&quot;Services 下创建服务键值.用户可通过 SCP 控制服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOo1xz.html" rel="bookmark">用C&num;开发Windows服务监控系统使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window|监控 摘要 本文将向你展示如何用C#开发一个Windows服务来记录系统使用情况. 每一个人都想知道他们每天在什么时间启动和关闭自己的系统,以及系统每天运行了多少时间.如果用一个DataGrid控件来显示系统启动.关闭及所消耗的时间将是一个不错的主意. 在本文中,我提供了一种方法来实现这一目标-使用C#开发一个Windows服务.其实,每个人都了解一点Windows服务.但是,为了介绍之目的,我仅尽可能少得解释一下Windows服务.然后,我们来讨论如何设计一个这样的应用程序. 一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOG7LM.html" rel="bookmark">借助C&plus;&plus;进行Windows开发&colon;Windows服务增强</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 延迟自动启动服务 改进关机可预见性 失败操作和受控停止 减少权限 保护服务数据 用受限令牌保护其他项目 接收服务通知 后续内容 Windows服务开发的状态自从在 Windows NT 中出现服务以来一直没有较大的改变,但是 Windows Vista 和 Windows Server 2008 打破了这一僵局.这其中的许多功能主要是为了以更简捷的方式生成更安全的服务,但是在与安全性不相关的服务功能中,有些功能是为了提高 Windows 的整体响应能力和可靠性. 延迟自动启动服务 可通过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7laab.html" rel="bookmark">在&period;NET下开发windows服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建 Windows 服务 -------------------------------------------------- 当创建服务时,可以使用称作 Windows 服务的 Visual Studio.NET 项目模板.此模板引用适当的类和命名空间.设置从服务基类的继承并重写您可能要重写的几种方法,从而自动为您完成大部分工作. 若要创建功能性服务,必须至少: 设置 ServiceName 属性. 为服务应用程序创建必需的安装程序. 重写 OnStart 和 OnStop 方法并为其指定代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8J4Xxb.html" rel="bookmark">VS 2010一步步开发windows服务&lpar;windows service&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 基于0起步来创建一个服务,做到简单的记录时间日志功能,其具体招行方法可自行添加. 1.创建服务 2.删除默认服务文件 3.添加自己的服务文件 4.更改启动项目 5. 引用 using System.Timers;并添加FileClass类 FileClass类 using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.IO; namespace Termi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvWwe5p.html" rel="bookmark">使用Topshelf 5步创建Windows 服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Topshelf创建Windows 服务简要的介绍了创建Windows服务的另一种方法,老外的一篇文章Create a .NET Windows Service in 5 steps with Topshelf通过5个步骤详细的介绍使用使用Topshelf创建Windows 服务.Topshelf是一个开源的跨平台的宿主服务框架,支持Windows和Mono,只需要几行代码就可以构建一个很方便使用的服务宿主. 1.Topshelf的代码托管在http://topshelf-project.c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2VRZb.html" rel="bookmark">如何创建一个标准的Windows服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在很多时候,我们需要一个定时器,当间隔某段时间或者在某一个时刻的时候,触发某个业务的处理,这个时候,我们就可能需要引入Windows服务来做这个事情,如某些数据的同步操作.某些工作任务的创建或者侦听某些端口的工作等等.做过Windows Forms开发的人,对开发Windows服务可能会熟悉一些,其实它本身应该算是一个Windows Forms程序.基本上整个Windows服务的程序分为几个部分:安装操作实现.程序启动.服务操作等.本例子创建一个Windows服务,服务可以在整点运行,也可以在某			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQg5Wp.html" rel="bookmark">C&num;开发的windows服务如何获取操作系统登录的消息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 windows服务一般是没有UI的因为需要一个监控,一组业务不停循环,所以使用windows服务开发监视器窗体在服务中确实通过P/Invoke的方式调用正常显示但发现只有当前用户登录才可以,因为重新启动后监视器窗体成功显示,但监视器对象提示为空(null),我估计是没有任何交互式用户登录希望能够在服务中监听系统登录事件哪位兄弟处理过类似问题或有好的解决办法请赐教 解决方案 解决方案二:mark一个解决方案三:up一下~~~~~解决方案四:up一下解决方案五:服务运行不需要UI支持的.一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr7K2Vp.html" rel="bookmark">开发的windows服务 启动时出现1053错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 自己开发的windows服务,在自己电脑安装是成功的,能正常运行.放到阿里云服务器安装时也能成功,但是安装过程中出现异常,不过是跳过了异常,好像是因为启动不了导致异常.然后我打开服务找开自己的windows服务启动时就提示&quot;服务错误1053:服务没有及时响应启动或控制请求&quot;这是什么问题导致的,是权限还是代码. 解决方案 解决方案二:有人吗,急啊解决方案三:改成空的服务再安装也不行解决方案四:查了下日志提示等待Service1服务的连接超时(30000毫秒).这是什么问题导致			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPk0DM.html" rel="bookmark" class="title">PS制作一个复古风格的行星景观海报</a>
					<div>
						   最终效果: 素材打包 微盘下载 第一步:创建文件 打开PS按键盘上的Ctrl+N或者点击文件 &gt; 新建,在弹出的对话框中,创建一个1200 x 1600 px的PS文件. 创建完成后把背景 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6YBob.html" rel="bookmark" class="title">加拿大机器人公司Clearpath Robotics获得了1120万美元新融资</a>
					<div>
						摘要: 据WSJ消息,加拿大机器人公司Clearpath Robotics获得了1120万美元新融资,由RRE Ventures领投,iNovia Capital参投.这家2009年成立的公司,在20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkP35z.html" rel="bookmark" class="title">分析死锁的方法</a>
					<div>
						常看到死锁的问题,一般都是KILL进程,但如果不查出引起死锁的原因,死锁会时常发生可以通过查找引起死锁的的操作,就可以方便的解决死锁,现将日常解决问题的方法总结,也许对大家有帮助 1\死锁发生时,通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBjn9b.html" rel="bookmark" class="title">站长必备工具推荐之搜索词排名</a>
					<div>
						好的站长工具总能更好的提高站长的工作效率,特别现在很多站长最常用的推广方式都是SEO.一些SEO相关的站长工具,总是站长们最热衷的.今天跟大家分享的这款站长工具就是和SEO工作紧密相关的,相信会成为S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXlxLp.html" rel="bookmark" class="title">Fireworks绘制灯泡教程</a>
					<div>
						不知道这玩意以前有人出过没有,呵呵! 搞整了半天,终于算是把教程做出来了,第一次做教程,难免出错,请谅解. 另外, 累死我了... 废话少说,看图 第一步:先 画玻璃圆泡 1. 先画一个88*80大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK2oEz.html" rel="bookmark" class="title">日常使用过程中避免烧喇叭</a>
					<div>
						一般人直觉人会认为是开太大声了喇叭会受不了,因而把喇叭弄坏,其实不然,有许多种情况都可能,现在就分别列举几个情况及理由,让你避免烧喇叭的危险. 我们经常使用麦克风演讲或唱歌的会因为麦克风靠喇叭太近或对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4L8wp.html" rel="bookmark" class="title">C&num; 视频监控系列（3）：客户端&mdash;&mdash;连接服务器并预览</a>
					<div>
						1.将以下四个dll拷贝到system32目录下,这几个文件均在根目录的Bin目录下 DS40xxSDK.dll hikclient.dll HikPlayM4.dll HikServer.dll 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4er0p.html" rel="bookmark" class="title">详解Python中find&lpar;&rpar;方法的使用</a>
					<div>
						这篇文章主要介绍了详解Python中find()方法的使用,是Python学习中的基础知识,需要的朋友可以参考下 find()方法判断字符串str,如果起始索引beg和结束end索引能找到在字符串或字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZA8qz.html" rel="bookmark" class="title">Excel中一些鲜为人知的技巧</a>
					<div>
						  也许你已经在Excel中完成过上百张财务报表,也许你已利用Excel函数实现过上千次的复杂运算,也许你认为Excel也不过如此,甚至了无新意.但我们平日里无数次重复的得心应手的使用方法只不过是Ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WNymb.html" rel="bookmark" class="title">怎样关闭Word2013中的浮动工具栏</a>
					<div>
						  在Word2013文档窗口中,当进行选中文本操作时会在被选中文字的右侧显示浮动工具栏.浮动工具栏中包含有常用的设置文字格式的命令,如设置字体.字号.颜色.居中对齐等命令,以帮助用户方便地设置文字格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwd4Vb.html" rel="bookmark" class="title">笔记本BIOS密码设置</a>
					<div>
						首先我们先来介绍一下如何进入笔记本电脑的BIOS设置, 一般来说 ,笔记本电脑多以F2键或其它组合键进入BIOS, 与台式机经常采用的Delete键有明显不同. 由于笔记本电脑大多是随身携带, 因此使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywvg4z.html" rel="bookmark" class="title">PC浏览器远程控制安卓手机教程</a>
					<div>
						  还在用USB线和各种助手工具来连接管理手机么?今天菲菲来教你一个超级碉堡的方法:打开浏览器就能对手机进行无线操作和管理哦,让你彻底甩掉数据线,而且电脑端也无需安装助手软件--小伙伴们,来瞧瞧咯!  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXxmqp.html" rel="bookmark" class="title">word模板故障怎么办</a>
					<div>
						  故障现象: 新建并打开word文档,在页眉处会显示一条横线,每次都需要手动编辑才能取消该横线, 故障分析: 从每次新建文件后都是一样的显示,判断为word模板被修改导致 故障解决: 将word页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWwVOb.html" rel="bookmark" class="title">Keynote如可添加链接</a>
					<div>
						  在文本框或形状中键入文本时,Keynote 会自动检测有效网址 (URL) 或电子邮件地址.(地址后面必须紧跟空格.制表符或回车符,或者许多标点符号之一,包括引号.圆括号和方括号.)URL 及电子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGLkqb.html" rel="bookmark" class="title">惠普hp CLJ2840、2820怎么更换炭粉盒？</a>
					<div>
						  惠普hp CLJ2840.2820更换炭粉盒方法 1. 推动扫描仪.释放按钮以打开扫描仪组件. 2. 打开顶盖,垂直向上提起成像鼓,然后将粉盒取出,以便更换粉盒. 3.确保正确的打印碳粉盒插槽处在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwk1Bb.html" rel="bookmark" class="title">浏览器的网页点不动是怎么回事？</a>
					<div>
						  故障分析:这种情况一般跟浏览器有关系,其次就是你的电脑被中毒或者安装一些插件,最后就是本身浏览的网页做了屏蔽鼠标点击的设置. 故障解决: 1.清除浏览器的历史记录 如果你的是ie浏览器的话,首先打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGPw1b.html" rel="bookmark" class="title">Windows 2008触发器功能的运用</a>
					<div>
						  一.创建新的触发任务 Windows Server 2008系统的触发任务是基于特定事件创建的,我们首先需要让系统能对某个故障现象进行记录并生成一个事件,然后通过该系统新增加的附加任务功能,将指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdNVaM.html" rel="bookmark" class="title">如何用C&num;实现桌面便条</a>
					<div>
						问题描述 想用C#写一个桌面便条的程序,遇到了问题,在一个窗口按下鼠标左键后,然后拖到一个新的地方,然后放开鼠标,在那个位置新建一个窗口,问高手如何实现,能不能给点代码,谢谢了!! 解决方案 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY1dvb.html" rel="bookmark" class="title">thinkphp中如何通过日期查询数据库</a>
					<div>
						问题描述 thinkphp中如何通过日期查询数据库 thinkphp中如何通过日期查询数据库 M('uc')-&gt;where('strtotime(&quot;start&quot;)&lt;$d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWq7yb.html" rel="bookmark" class="title">Gabor滤波器提取特征向量的问题</a>
					<div>
						问题描述 Gabor滤波器提取特征向量的问题 如果我需要用Gabor滤波器得到关于一副图片的特征向量,我应该用什么特征值来作为特征向量?怎样用Gabor来提取这个特征值?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqADgRM.html" rel="bookmark" class="title">微信支付与支付宝钱包的关键差异在哪里</a>
					<div>
						本文主角:微信支付和支付宝钱包. 配角:微博支付.平安壹钱包.百度理财和网易理财. 本文结论:微信支付从流量切入拼支付流程,大而全的支付宝钱包无法舍弃存量拼流量,因此拉出微博支付专精流量作为牵制.支付 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx0r5b.html" rel="bookmark" class="title">mono&plus;jexus发布asp&period;net错误</a>
					<div>
						问题描述 请大神们帮我看看可能是什么问题我用的是.netmvc5发布的项目 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKJAZp.html" rel="bookmark" class="title">JAVA MemCache 史无前例的详细讲解！看完包精通MEMCACHE！</a>
					<div>
						 Memcach什么是Memcache Memcache集群环境下缓存解决方案 Memcache是一个高性能的分布式的内存对象缓存系统,通过在内存里维护一个统一的巨大的hash表,它能够用来存储各种格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN3K8M.html" rel="bookmark" class="title">c-一道离散数学编程题，求解答</a>
					<div>
						问题描述 一道离散数学编程题,求解答 编程实现由偏序集合构造全序集合,最好能用C或C++编写,谢谢了 解决方案 你首先应该先解释一下什么是偏序集合,什么是全序集合,说清楚才有可能别人帮你! 解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL4DDM.html" rel="bookmark" class="title">请问在下面的程序中如何将对象引用设置到对象的实例</a>
					<div>
						问题描述 未将对象引用设置到对象的实例.说明:执行当前Web请求期间,出现未处理的异常.请检查堆栈跟踪信息,以了解有关该错误以及代码中导致错误的出处的详细信息.异常详细信息:System.NullRe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12VOap.html" rel="bookmark" class="title">零度平衡：用思想将企业带出困境</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 前言:市场模式的完善和丰富像一阵台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO79wb.html" rel="bookmark" class="title">支付宝PC转账收费背后&colon;对抗微信支付</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 文/林丰蕾 张睿 周末这两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE3EEz.html" rel="bookmark" class="title">换个玩法过儿童节 订阅优酷个人频道让孩子更快乐</a>
					<div>
						六一儿童节马上就要到了,这个儿童节和端午小长假撞车,预计奔放汹涌的人海眼瞅着就该把孩子们出游的地盘占领了,孩子们的快乐必然要打折扣.相较之下,陪孩子在家看他们喜欢的视频,也是一个不错的选择呢! 不要小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrYqOp.html" rel="bookmark" class="title">js去除重复字符串两种实现方法&lowbar;javascript技巧</a>
					<div>
						方法一: 复制代码 代码如下: function checkRe(checkid) { var id = window.parent.getQry(&quot;ctrid&quot;) + &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVJDlz.html" rel="bookmark" class="title">顺序表应用3：元素位置互换之移位算法</a>
					<div>
						顺序表应用3:元素位置互换之移位算法 Time Limit: 1000MS Memory Limit: 570KB Problem Description 一个长度为len(1&lt;=len&lt; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
